#
# spec file for package perl-Mail-SPF
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Mail-SPF
Name:           perl-Mail-SPF
Version:        3.202.406.170
Release:        2.2
# 3.20240617 -> normalize -> 3.202.406.170
%define cpan_version 3.20240617
License:        BSD-3-Clause
Summary:        An object-oriented implementation of Sender Policy Framework
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MB/MBRADSHAW/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
Patch0:         skip_test.patch
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Error)
BuildRequires:  perl(Net::DNS::RR)
BuildRequires:  perl(Net::DNS::Resolver)
BuildRequires:  perl(Net::DNS::Resolver::Programmable)
BuildRequires:  perl(NetAddr::IP)
BuildRequires:  perl(URI::Escape) >= 1.13
Requires:       perl(Error)
Requires:       perl(Net::DNS::Resolver)
Requires:       perl(NetAddr::IP)
Requires:       perl(URI::Escape) >= 1.13
Provides:       perl(Mail::SPF) = %{version}
Provides:       perl(Mail::SPF::Base)
Provides:       perl(Mail::SPF::EAbstractClass)
Provides:       perl(Mail::SPF::EClassMethod)
Provides:       perl(Mail::SPF::EDNSError)
Provides:       perl(Mail::SPF::EDNSTimeout)
Provides:       perl(Mail::SPF::EDuplicateGlobalMod)
Provides:       perl(Mail::SPF::EInstanceMethod)
Provides:       perl(Mail::SPF::EInvalidMacro)
Provides:       perl(Mail::SPF::EInvalidMacroString)
Provides:       perl(Mail::SPF::EInvalidMech)
Provides:       perl(Mail::SPF::EInvalidMechQualifier)
Provides:       perl(Mail::SPF::EInvalidMod)
Provides:       perl(Mail::SPF::EInvalidOptionValue)
Provides:       perl(Mail::SPF::EInvalidRecordVersion)
Provides:       perl(Mail::SPF::EInvalidScope)
Provides:       perl(Mail::SPF::EInvalidTerm)
Provides:       perl(Mail::SPF::EJunkInRecord)
Provides:       perl(Mail::SPF::EJunkInTerm)
Provides:       perl(Mail::SPF::EMacroExpansionCtxRequired)
Provides:       perl(Mail::SPF::ENoAcceptableRecord)
Provides:       perl(Mail::SPF::ENoUnparsedText)
Provides:       perl(Mail::SPF::ENothingToParse)
Provides:       perl(Mail::SPF::EOptionRequired)
Provides:       perl(Mail::SPF::EProcessingLimitExceeded)
Provides:       perl(Mail::SPF::EReadOnlyValue)
Provides:       perl(Mail::SPF::ERecordSelectionError)
Provides:       perl(Mail::SPF::ERedundantAcceptableRecords)
Provides:       perl(Mail::SPF::ESyntaxError)
Provides:       perl(Mail::SPF::ETermDomainSpecExpected)
Provides:       perl(Mail::SPF::ETermIPv4AddressExpected)
Provides:       perl(Mail::SPF::ETermIPv4PrefixLengthExpected)
Provides:       perl(Mail::SPF::ETermIPv6AddressExpected)
Provides:       perl(Mail::SPF::ETermIPv6PrefixLengthExpected)
Provides:       perl(Mail::SPF::EUnexpectedTermObject)
Provides:       perl(Mail::SPF::Exception)
Provides:       perl(Mail::SPF::GlobalMod)
Provides:       perl(Mail::SPF::MacroString)
Provides:       perl(Mail::SPF::Mech)
Provides:       perl(Mail::SPF::Mech::A)
Provides:       perl(Mail::SPF::Mech::All)
Provides:       perl(Mail::SPF::Mech::Exists)
Provides:       perl(Mail::SPF::Mech::IP4)
Provides:       perl(Mail::SPF::Mech::IP6)
Provides:       perl(Mail::SPF::Mech::Include)
Provides:       perl(Mail::SPF::Mech::MX)
Provides:       perl(Mail::SPF::Mech::PTR)
Provides:       perl(Mail::SPF::Mod)
Provides:       perl(Mail::SPF::Mod::Exp)
Provides:       perl(Mail::SPF::Mod::Redirect)
Provides:       perl(Mail::SPF::PositionalMod)
Provides:       perl(Mail::SPF::Record)
Provides:       perl(Mail::SPF::Request)
Provides:       perl(Mail::SPF::Result)
Provides:       perl(Mail::SPF::Result::Error)
Provides:       perl(Mail::SPF::Result::Fail)
Provides:       perl(Mail::SPF::Result::Neutral)
Provides:       perl(Mail::SPF::Result::NeutralByDefault)
Provides:       perl(Mail::SPF::Result::None)
Provides:       perl(Mail::SPF::Result::Pass)
Provides:       perl(Mail::SPF::Result::PermError)
Provides:       perl(Mail::SPF::Result::SoftFail)
Provides:       perl(Mail::SPF::Result::TempError)
Provides:       perl(Mail::SPF::SenderIPAddrMech)
Provides:       perl(Mail::SPF::Server)
Provides:       perl(Mail::SPF::Term)
Provides:       perl(Mail::SPF::UnknownMod)
Provides:       perl(Mail::SPF::Util)
Provides:       perl(Mail::SPF::v1::Record)
Provides:       perl(Mail::SPF::v2::Record)
%undefine       __perllib_provides
%{perl_requires}

%description
*Mail::SPF* is an object-oriented implementation of Sender Policy Framework
(SPF). See http://www.openspf.org for more information about SPF.

This class collection aims to fully conform to the SPF specification (RFC
4408) so as to serve both as a production quality SPF implementation and as
a reference for other developers of SPF implementations.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644
# MANUAL BEGIN
mv bin/spfd bin/spfd_perl
sed -i s/spfd/spfd_perl/ Makefile.PL
# MANUAL END

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README TODO
%license LICENSE

%changelog
* Thu Nov  7 2024 Dirk Stoecker <opensuse@dstoecker.de>
- fix conflict with spfd daemon in libspf2
* Sun Jun 23 2024 Tina Müller <tina.mueller@suse.com>
- updated to 3.202.406.170 (3.20240617)
  see /usr/share/doc/packages/perl-Mail-SPF/Changes
  3.20240617 2024-06-17 Australia/Melbourne
  - Update INSTALL file for Dist::Zilla changes
    Thanks to Giovanni <g.bechis@snb.it>
  - Fix memory leak in Mail::SPF::Server when cacheing a Mail::SPF::MacroString
    Thanks to Giovanni <g.bechis@snb.it> and Felipe Gasper
  - When mfrom is empty, create a synthetic mfrom (postmaster@helo) and check
    that identity using the mfrom scope as specified in RFC7208
    Thanks to Giovanni <g.bechis@snb.it>
  - Fix missing declare in Mail::SPF::Server
    Thanks to Giovanni <g.bechis@snb.it>
  - require Mail::SPF::Mech when needed
    Thanks to Giovanni <g.bechis@snb.it>
  - correctly handle empty labels
    Thanks to Giovanni <g.bechis@snb.it>
  - use "try" instead of "eval"
    Thanks to Giovanni <g.bechis@snb.it>
  - error out if the lookup fails
    Thanks to Giovanni <g.bechis@snb.it>
* Fri Mar 22 2024 Tina Müller <tina.mueller@suse.com>
- Remove fix_pod.patch, fixed upstream
* Fri Mar 22 2024 Tina Müller <timueller+perl@suse.de>
- updated to 3.20240206
  see /usr/share/doc/packages/perl-Mail-SPF/Changes
* Mon Mar  4 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Thu Jul 11 2019 Pedro Monreal Gonzalez <pmonrealgonzalez@suse.com>
- Fix permissions in spfd command [bsc#1141089]
- Added test dependency Test::Pod >= 1.00
- Move LICENSE file from doc to license
- Updated spec file with spec-cleaner
* Wed Jul  1 2015 hsk@imb-jena.de
- .spec file: added %%{_sbindir}/spfd to %%files section
* Tue Apr 14 2015 coolo@suse.com
- updated to 2.9.0
  see /usr/share/doc/packages/perl-Mail-SPF/CHANGES
  - -- 2.009 (2013-07-21 03:30)
    Mail::SPF:
  * Default to querying only TXT type RRs (query_rr_types = Mail::SPF::Server->
    query_rr_type_txt).  Experience has shown that querying SPF type RRs is
    impractical.
* Wed Jun 26 2013 coolo@suse.com
- add fix_pod.patch to fix pod syntax for perl 5.18
* Wed Mar 27 2013 stefan.jakobs@rus.uni-stuttgart.de
- remove 'BuildRequires: perl-macros' from spec file, because perl
  included in openSUSE > 1210 deprecates perl-macros which causes a
  build failure.
* Fri Sep 21 2012 sweet_f_a@gmx.de
- cleanup spec file style
- build requires Mail::SPF::Test (needed for test suite)
- add skip_test.patch,
  see https://rt.cpan.org/Public/Bug/Display.html?id=78214
* Wed Sep 19 2012 sweet_f_a@gmx.de
- update to 2.008
  Mail::SPF:
  * Sanitize result local_explanation (as well as result object
    string representation) by replacing all non-printable or
    non-ascii characters with their hex-escaped representation
    (e.g., "\x00").
    (Addresses: bugs.launchpad.net #806926)
  Miscellaneous:
  * Change openspf.org URLs to openspf.net because openspf.org is
    unreachable indefinitely.
  * Change <http://www.ietf.org/rfc/….txt> URLs
    to <http://tools.ietf.org/html/…>.
  * META.yml: configure_requires: Module::Build 0.2805
  * META.yml: requires: Net::DNS 0.62 (was: 0.52)
    (Closes: rt.cpan.org #28545)
  * META.yml: Revert to flat version numbers for perl and
    Net::DNS::Resolver:: Programmable build requirements to avoid
    Module::Build::Compat/Makefile.PL incompatibilities.
  (Closes: rt.cpan.org #53231)
  * Attempt to prevent a cascading failure in
    t/00.03-class-result.t that seems to happen under rare,
    unknown circumstances. (Closes: rt.cpan.org #39099)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Feb  9 2010 coolo@novell.com
- update to 2.007 and fix build
* Sat May 30 2009 lars@linux-schulserver.de
- update to 2.006:
  details: /usr/share/doc/packages/perl-Mail-SPF/CHANGES
- rpmlint fixes
- added Mail-SPF-v2.006-Makefile.patch (use ExtUtils::MakeMaker)
* Sun Jul  9 2006 dmueller@suse.de
- update to 1.999.1 (#190194):
  Lots of small changes, read details here:
  /usr/share/doc/packages/perl-Mail-SPF/CHANGES
* Tue Jan 24 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Sep 18 2005 dmueller@suse.de
- initial package 1.997
